Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417316 - Review Request: perl-IO-Socket-Multicast - Perl library for sending and receiving multicast messages
Summary: Review Request: perl-IO-Socket-Multicast - Perl library for sending and recei...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Damian Wrobel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 735045 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 23:28 UTC by Andrew Bauer
Modified: 2017-02-22 21:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 20:51:20 UTC
Type: ---
dwrobel: fedora-review+


Attachments (Terms of Use)

Description Andrew Bauer 2017-01-27 23:28:25 UTC
Description: 
The IO::Socket::Multicast module sub-classes IO::Socket::INET to enable you
to manipulate multicast groups. With this module (and an operating system
that supports multicast), you will be able to receive incoming multicast
transmissions and generate your own outgoing multicast packets.

Spec URL: 
https://raw.githubusercontent.com/knnniggett/specfiles/master/perl-IO-Socket-Multicast.spec

SRPM URL: 
https://copr-be.cloud.fedoraproject.org/results/kni/zoneminder_deps/fedora-26-x86_64/00504845-perl-IO-Socket-Multicast/perl-IO-Socket-Multicast-1.12-1.fc26.src.rpm


Fedora Account System Username: kni

Package currently builds on el6, el7, f24, f25, & rawhide.
About the license.
License is Perl 5 (Artistic 1 & GPL 1) as stated here:
http://search.cpan.org/~bramble/IO-Socket-Multicast-1.12/

License is also stated in Makefile.PL

However, there is no license information in any of the source files which are actually installed onto the target filesystem. In my quest to determine whether or not this was sufficient, I went looking for an existing packaging in the Fedora repos in a similar predicament, and I found perl-IO-Socket-SSL. Since “the other package is doing it”, I thought it good enough for peer review. Please advise if this is sufficient or not. I can certainly contact the author if needed.

rpmlint produces no errors or warnings:
$ rpmlint perl-IO-Socket-Multicast-1.12-1.fc26.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-IO-Socket-Multicast-1.12-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package Contents:
$ rpm -q -lv -p perl-IO-Socket-Multicast-1.12-1.fc26.x86_64.rpm
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/IO
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/IO/Socket
-rw-r--r--    1 root    root                    14201 Apr 28  2010 /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/auto/IO
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/auto/IO/Socket
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/auto/IO/Socket/Multicast
-rwxr-xr-x    1 root    root                    15424 Jan 27 15:04 /usr/lib64/perl5/vendor_perl/auto/IO/Socket/Multicast/Multicast.so
drwxr-xr-x    2 root    root                        0 Jan 27 15:04 /usr/share/doc/perl-IO-Socket-Multicast
-rw-r--r--    1 root    root                     1796 Apr 28  2010 /usr/share/doc/perl-IO-Socket-Multicast/Changes
-rw-r--r--    1 root    root                    11649 Jan 29  2010 /usr/share/doc/perl-IO-Socket-Multicast/README
drwxr-xr-x    2 root    root                        0 Apr 28  2010 /usr/share/doc/perl-IO-Socket-Multicast/examples
-rw-r--r--    1 root    root                      370 Jan 29  2010 /usr/share/doc/perl-IO-Socket-Multicast/examples/client.pl
-rw-r--r--    1 root    root                      359 Jan 29  2010 /usr/share/doc/perl-IO-Socket-Multicast/examples/server.pl
-rw-r--r--    1 root    root                     5346 Jan 27 15:04 /usr/share/man/man3/IO::Socket::Multicast.3pm.gz

Requires:
$ rpm -q --requires -p perl-IO-Socket-Multicast-1.12-1.fc26.x86_64.rpm
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libperl.so.5.24()(64bit)
perl(:MODULE_COMPAT_5.24.1)
perl(:VERSION) >= 5.5.0
perl(Carp)
perl(DynaLoader)
perl(Exporter)
perl(IO::Interface) >= 0.94
perl(IO::Socket)
perl(strict)
perl(vars)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)

Provides:
$ rpm -q --provides -p perl-IO-Socket-Multicast-1.12-1.fc26.x86_64.rpm
perl(IO::Socket::Multicast) = 1.12
perl-IO-Socket-Multicast = 1.12-1.fc26
perl-IO-Socket-Multicast(x86-64) = 1.12-1.fc26

Needed Buildrequires for perl test:
$ tangerine Multicast.pm
Carp
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:5
DynaLoader
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:7
Exporter
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:6
IO::Socket
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:8
IO::Socket::Multicast
	PACKAGE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:1
strict
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:4
vars
	COMPILE /usr/lib64/perl5/vendor_perl/IO/Socket/Multicast.pm:12

Test::More and IO::Interface >= 0.94 are also needed for perl test

SIDE NOTE:
Looks like this package was requested previously but I don't see anything in that request to prevent the package from being approved:
https://bugzilla.redhat.com/show_bug.cgi?id=735045

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-31 16:06:21 UTC
*** Bug 735045 has been marked as a duplicate of this bug. ***

Comment 2 Andrew Bauer 2017-02-02 16:46:39 UTC
Based on conversation from another review, I have added the Perl license text to this package, since that is the license stated in Makefile.PL

new specfile:
https://raw.githubusercontent.com/knnniggett/specfiles/master/perl-IO-Socket-Multicast.spec

new srpm:
https://copr-be.cloud.fedoraproject.org/results/kni/zoneminder_deps/fedora-26-x86_64/00506644-perl-IO-Socket-Multicast/perl-IO-Socket-Multicast-1.12-2.fc26.src.rpm

Comment 3 Damian Wrobel 2017-02-06 12:52:02 UTC
Review:

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Requires correct, justified where necessary.
Requires
--------
perl-IO-Socket-Multicast-debuginfo (rpmlib, GLIBC filtered):

perl-IO-Socket-Multicast (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libperl.so.5.24()(64bit)
    perl(:MODULE_COMPAT_5.24.1)
    perl(:VERSION)
    perl(Carp)
    perl(DynaLoader)
    perl(Exporter)
    perl(IO::Interface)
    perl(IO::Socket)
    perl(strict)
    perl(vars)
    rtld(GNU_HASH)



Provides
--------
perl-IO-Socket-Multicast-debuginfo:
    perl-IO-Socket-Multicast-debuginfo
    perl-IO-Socket-Multicast-debuginfo(x86-64)

perl-IO-Socket-Multicast:
    perl(IO::Socket::Multicast)
    perl-IO-Socket-Multicast
    perl-IO-Socket-Multicast(x86-64)

[x]: Spec file is legible and written in American English.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture. https://koji.fedoraproject.org/koji/taskinfo?taskID=17631726
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.

Source checksums
----------------
http://www.cpan.org/authors/id/B/BR/BRAMBLE/IO-Socket-Multicast-1.12.tar.gz :
  CHECKSUM(SHA256) this package     : 70e8af4aa21d19bab5edd9f43a6b3d6277748a65145d46ff0ea2ae4c59495c72
  CHECKSUM(SHA256) upstream package : 70e8af4aa21d19bab5edd9f43a6b3d6277748a65145d46ff0ea2ae4c59495c72
http://dev.perl.org/licenses/#/perl-IO-Socket-Multicast-Licensing.html :
  CHECKSUM(SHA256) this package     : 72bf15c36e662c7a6d759bcc98f0041d63e0f4695f852b67e84ec9ca63745899
  CHECKSUM(SHA256) upstream package : 72bf15c36e662c7a6d759bcc98f0041d63e0f4695f852b67e84ec9ca63745899

[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.


Package Approved.

Comment 4 Andrew Bauer 2017-02-07 01:59:44 UTC
This is strange. 
When I try to add this package by entering the bug number into pkgdb I get:

Review not approved by the assignee of the ticket dwrobel@ertelnet.rybnik.pl

Can you try to set fedora-review back to "?" , save it, set it back to "+" and then save again?  I'm not sure what else to do.

Comment 5 Damian Wrobel 2017-02-07 09:02:59 UTC
(In reply to Andrew Bauer from comment #4)
> Can you try to set fedora-review back to "?" , save it, set it back to "+"
> and then save again?  I'm not sure what else to do.
I set it back to "+".

Comment 6 Gwyn Ciesla 2017-02-07 13:10:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-IO-Socket-Multicast

Comment 7 Fedora Update System 2017-02-07 17:41:57 UTC
perl-IO-Socket-Multicast-1.12-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-30fc6be997

Comment 8 Fedora Update System 2017-02-07 17:42:07 UTC
perl-IO-Socket-Multicast-1.12-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9913738d7

Comment 9 Fedora Update System 2017-02-07 17:42:13 UTC
perl-IO-Socket-Multicast-1.12-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2cda8d0e61

Comment 10 Fedora Update System 2017-02-07 17:42:19 UTC
perl-IO-Socket-Multicast-1.12-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b38ceab340

Comment 11 Fedora Update System 2017-02-08 02:48:34 UTC
perl-IO-Socket-Multicast-1.12-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-30fc6be997

Comment 12 Fedora Update System 2017-02-08 03:47:41 UTC
perl-IO-Socket-Multicast-1.12-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2cda8d0e61

Comment 13 Fedora Update System 2017-02-08 03:49:06 UTC
perl-IO-Socket-Multicast-1.12-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b38ceab340

Comment 14 Fedora Update System 2017-02-09 09:20:45 UTC
perl-IO-Socket-Multicast-1.12-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b9913738d7

Comment 15 Fedora Update System 2017-02-15 20:51:20 UTC
perl-IO-Socket-Multicast-1.12-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-17 16:21:15 UTC
perl-IO-Socket-Multicast-1.12-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-22 14:49:58 UTC
perl-IO-Socket-Multicast-1.12-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-02-22 21:47:33 UTC
perl-IO-Socket-Multicast-1.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.